escott-smartでトークン決済設定後JSエラー

2017 年 11 月 1 日

ホーム フォーラム 使い方全般 escott-smartでトークン決済設定後JSエラー

このトピックには13件の返信が含まれ、7人の参加者がいます。1 週、 1 日前 hanjo さんが最後の更新を行いました。

14件の投稿を表示中 - 1 - 14件目 (全14件中)
  • 投稿者
    投稿
  • #84460

    hika3ma
    参加者

    ——————————————-
    WordPress のバージョン:4.8.3
    Welcart のバージョン:1.9.5
    Welcart専用の拡張プラグイン:DL Seller
    ご利用のテーマ:自作テーマ
    症状を確認したブラウザ:firefox chorome
    サーバー:xserver
    SSLの利用:常時SSL
    WordPress のパーマリンク設定:(例 /archives/%post_id%/)
    ——————————————–

    お世話になります。

    クレジットカード決済にescott-smartを利用中です。

    1.9.5を導入後、クレジットカードのトークン決済を設定しました。
    カートでクレジットカードを選ぶと、今までと違いポップアップの画面でカード情報を入力するようになりました。
    しかし、カード情報を入力後、「次へ」ボタンが押せず注文できません。
    (押しても無反応です。)

    Uncaught ReferenceError: SpsvApi is not defined
        at Object.getToken (cart_escott.js?ver=1.9.5.1710302:157)
        at HTMLInputElement.<anonymous> (cart_escott.js?ver=1.9.5.1710302:205)
        at HTMLDocument.dispatch (jquery.js?ver=1.12.4:3)
        at HTMLDocument.r.handle (jquery.js?ver=1.12.4:3)

    解決に向けてなにかヒントを頂ければと思い投稿いたします。
    よろしくお願い致します。

    #84461

    nanbu
    参加者

    こんにちは

    ご報告ありがとうございます。
    現在、一部の環境でライブラリがうまく読み込めない症状が発生いたしております。
    現在、原因を調査いたしておりますので、大変孟子和krございませんが、トークン認証コードを
    削除して空白にしていただき、今までの決済にて運用をお願いいたします。
    原因が分かり次第、ご報告させていただきます。

    何卒よろしくお願いいたします。

    #84462

    mon
    参加者

    ———————————————
    WordPress のバージョン:WordPress 4.8.3
    Welcart のバージョン:1.95
    Welcart専用の拡張プラグイン:WCEX SKU Select
    ご利用のテーマ:welcart basic 子テーマ
    症状を確認したブラウザ:Chrome
    SSLの利用:常時SSL
    ———————————————-

    お世話になります。
    横から失礼します。
    同じようなエラーですのでお願いします。
    1.9.5導入後、e-SCOTT Smartへトークン認証設定しました。
    クレジットカードを選択しましたが、カード情報の入力画面がでなくなり、そのまま完了ページへと飛ぶようになり、決算エラーK22が発生しております。
    現在、バージョンを元に戻し、トークン認証も設定削除しましたが、元に戻りません。
    宜しくお願い致します。

    #84463

    ebtak
    参加者

    e-SCOTT利用者です。

    マスター様、まだ1.9.5にアップグレード前ですが現状では様子見をした方がよろしいでしょうか?
    何か進展ありましたら出来れば公示していただけると助かります。

    #84465

    nanbu
    参加者

    monさん

    K22が発生するようでしたら、管理画面にBasic認証などをご利用ではないでしょうか。もしそうでしたら、認証を外してみてください。

    #84466

    nanbu
    参加者

    ebtakさん

    アップグレードしただけでは、トークン決済にはなりませんので大丈夫かとは思いますが、この原因がはっきりするまでアップグレードはしない方が良いかもしれません。
    恐れ入りますが、少しお待ちください。

    #84470

    ebtak
    参加者

    了解しました。
    解決まで待ちます。
    大変だとは思いますがどうぞよろしくお願いします。

    #84479

    nanbu
    参加者

    こんにちは

    ソニーペイメントのトークン決済のエラーの件ですが、ソニーペイメントサービスさんから対応完了の連絡がございました。これでたぶんトークン決済に変更していただいても大丈夫かと思います。

    引き続きトークン決済でおかしなことがございましたら、ご連絡いただけますと助かります。どうぞよろしくお願いいたします。

    #84487

    hika3ma
    参加者

    nanbu様
    ご対応ありがとうございます。

    症状の解消が確認できました。

    引き続きよろしくお願い致します。

    #84491

    hika3ma
    参加者

    nanbu様
    いつもお世話になっております。

    管理している3サイトのうち、トークン決済導入後2サイトは問題ないのですが、1サイトだけK22エラーが多発しているようです。

    管理画面のBASIC認証などは掛けておりません。

    解決に向けてなにかヒントを頂ければと思います。
    よろしくお願い致します。

    ——————————————-
    WordPress のバージョン:4.8.2
    Welcart のバージョン:1.9.5
    Welcart専用の拡張プラグイン:DLSeller
    ご利用のテーマ:自作テーマ
    症状を確認したブラウザ:
    サーバー:xserver
    SSLの利用:常時SSL
    WordPress のパーマリンク設定:/%category%/%postname%/
    ——————————————–

    • この返信は2 週間、 1 日前に  hika3ma さんが編集しました。
    #84543

    hanjo
    参加者

    ——————————————-
    WordPress のバージョン:4.8.3
    Welcart のバージョン:1.9.6
    Welcart専用の拡張プラグイン:WCEX SKU Select WCEX Widget Cart
    ご利用のテーマ:WelcartBasicの自作子テーマ
    症状を確認したブラウザ:Google Chrome
    サーバー:xserver
    SSLの利用:常時SSL
    WordPress のパーマリンク設定:/%category%/%postname%/
    ——————————————–

    お世話になります。

    クレジット決済でe-SCOTTを利用しています。
    Welcartのバージョンを1.9.6にアップデートし、
    トークン決済認証コードを設定しました。

    当環境でもテスト注文を行いましたが、
    ポップアップ画面でカード情報を入力した後、
    「次へ」のボタンが反応せず、先の画面に進むことができませんでした。

    問題が解決するまでの間、しばらくは
    トークン決済認証コードを空欄にしています。

    #84544

    yskysmr
    キーマスター

    hanjo 様

    wc_delivery_page.php を編集された際に、<div id="delivery-info">~</div> もしくは
    <div class="footer_explanation">~</div> を削除されていませんでしょうか。

    <div id="delivery-info">~</div> は削除してはいけないのですが、<div class="footer_explanation">~</div> が不要な場合(入れたくない場合)、Welcart を Development Version にアップデートしてご利用ください。

    #84559

    cnatsu
    参加者

    ——————————————-
    WordPress のバージョン:4.8.3
    Welcart のバージョン:1.9.6
    ご利用のテーマ:フリーテーマ
    症状を確認したブラウザ:Google Chrome, iphone Safari
    サーバー:mixhost
    SSLの利用:常時SSL
    WordPress のパーマリンク設定:/%postname%/
    ——————————————–

    フリーのテーマですが、1.9.4まではクレジット決済で
    e-SCOTTをうまく利用できていました。

    1.9.6にしたところ、クレジット決済がポップアップになり、
    PCサイトではまだ使えますが、モバイルではテキストが
    縦になって使える状態ではありません。

    率直に、元に戻していただけないでしょうか?

    せっかくカゴ落ちのない、とても素晴らしい決済ステップ
    でしたので、残念でなりません。

    #84569

    hanjo
    参加者

    yskysmr 様

    返信いただき、ありがとうございます。
    wc_delivery_page.php は特に編集していませんでした。

    FirefoxやInternet Explorerなどでは、普通に「次へ」のボタンが押せましたが、
    何故かGoogle Chromeだけ「次へ」を2度押さないと先に進めない状態でした。

    今朝方、Google Chromeのアップデートを行い、
    バージョンを61.0.3163.100 → 62.0.3202.89 に変更したところ、
    問題なく動作するようになりました。

    ブラウザ環境の問題かどうかわかりませんが、一応ご報告しておきます。

14件の投稿を表示中 - 1 - 14件目 (全14件中)

このトピックに返信するにはログインが必要です。